<template>
  <v-menu :close-on-content-click="false"
  v-model="show"
  :nudge-right="40"
  lazy transition="scale-transition"
  offset-y full-width max-width="290px"
  min-width="290px">
  <div slot="activator">
    <slot></slot>
  </div>
    <v-date-picker v-model="date" no-title @input="showMenu" />
  </v-menu>
</template>
<script>
export default {
  data () {
    return {
      date: this.input
    }
  },
  props: {
    input: [String, Date],
    show: Boolean
  },
  methods: {
    showMenu () {
      this.$emit('update:show', !this.show)
    }
  }
}
</script>
